classification
Title: Extension module build fails for MinGW: missing vcvarsall.bat
Type: compile error Stage:
Components: Distutils, Windows Versions: Python 3.2
process
Status: open Resolution: accepted
Dependencies: Superseder:
Assigned To: tarek Nosy List: Christopher.Paolini, Daniel26, Thomas.Atkinson, benjamin.peterson, breinjhel, cmcqueen1975, dederocks, ebrehault, hagen, janssen, jwp, keldonin, kermode, piotr.dobrogost, tarek
Priority: normal Keywords: 26backport

Created on 2008-04-26 17:20 by kermode, last changed 2013-10-25 11:42 by breinjhel.

Files
File name Uploaded Description Edit
unnamed keldonin, 2009-12-23 10:02
build_ext.py cmcqueen1975, 2010-01-11 06:30
unnamed keldonin, 2010-03-11 09:52
Messages (43)
msg65850 - (view) Author: Lenard Lindstrom (kermode) Date: 2008-04-26 17:20
Python 2.6a2 on Windows XP

Distutils fails to build an extension module for MinGW. Even though 
mingw32 is specified as the compiler distutils.msvc9compiler is still 
loaded and it cannot find vcvarsall.bat. Here is an example:

Microsoft Windows XP [Version 5.1.2600]
(C) Copyright 1985-2001 Microsoft Corp.

[snip]

C:\pygame\ext>path=%path%;C:\python26;C:\mingw\bin

C:\pygame\ext>set MINGW_ROOT_DIRECTORY=C:\mingw

C:\pygame\ext>python setup.py build --compiler=mingw32
running build
running build_ext
error: None

C:\pygame\ext>python setup.py build_ext --compiler=mingw32
Traceback (most recent call last):
  File "setup.py", line 6, in <module>
    ext_modules=[Extension('simple', ['simple.c',]),],
  File "C:\python26\lib\distutils\core.py", line 137, in setup
    ok = dist.parse_command_line()
  File "C:\python26\lib\distutils\dist.py", line 459, in 
parse_command_line
    args = self._parse_command_opts(parser, args)
  File "C:\python26\lib\distutils\dist.py", line 517, in 
_parse_command_opts
    cmd_class = self.get_command_class(command)
  File "C:\python26\lib\distutils\dist.py", line 836, in 
get_command_class
    __import__ (module_name)
  File "C:\python26\lib\distutils\command\build_ext.py", line 21, in 
<module>
    from distutils.msvccompiler import get_build_version
  File "C:\python26\lib\distutils\msvccompiler.py", line 658, in 
<module>
    from distutils.msvc9compiler import MSVCCompiler
  File "C:\python26\lib\distutils\msvc9compiler.py", line 286, in 
<module>
    VC_ENV = query_vcvarsall(VERSION, ARCH)
  File "C:\python26\lib\distutils\msvc9compiler.py", line 253, in 
query_vcvarsall
    raise IOError("Unable to find vcvarsall.bat")
IOError: Unable to find vcvarsall.bat

C:\pygame\ext>type setup.py
from distutils.core import setup, Extension

setup(name='Simple',
      version='1.0',
      description='Python extension module test',
      ext_modules=[Extension('simple', ['simple.c',]),],
      )


C:\pygame\ext>gcc --version
gcc (GCC) 3.4.5 (mingw special)
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is 
NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR 
PURPOSE.


C:\pygame\ext>python -V
Python 2.6a2
msg90125 - (view) Author: James William Pye (jwp) Date: 2009-07-04 21:07
Seeing this in 3.1 when I try to compile with mingw32 under wine:

"error: Unable to find vcvarsall.bat"


--compiler=mingw32 works in 3.0. I assume it's related to this bug?
msg90812 - (view) Author: Eric Devolder (keldonin) Date: 2009-07-22 12:07
Same problem under WinXP, using mingw compiler. Works for my package
under Python 3.0, ceases functioning under 3.1, with same error message.
msg90995 - (view) Author: Hagen Fürstenau (hagen) Date: 2009-07-27 19:56
Seems to have been fixed around r73896.
msg91187 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-08-02 16:12
The vcvarsall.bat eror is unrelated to the error James and Eric are
mentioned, which is another error fixed in the revision Hagen points.

Lenard, could you re-run it under the latest 2.6 version with the global
option --verbose please ?
msg91271 - (view) Author: Lenard Lindstrom (kermode) Date: 2009-08-04 20:57
Here is the build with Python 2.6.2. It works now.

C:\pygame\bug2698>python setup.py build --compiler=mingw32 --verbose
running build
running build_ext
building 'simple' extension
creating build
creating build\temp.win32-2.6
creating build\temp.win32-2.6\Release
C:\mingw\bin\gcc.exe -mno-cygwin -mdll -O -Wall -IC:\python26\include
-IC:\python26\PC -c simple.c -o build\temp.win32-2.6\Release\simple.o
writing build\temp.win32-2.6\Release\simple.def
creating build\lib.win32-2.6
C:\mingw\bin\gcc.exe -mno-cygwin -shared -s
build\temp.win32-2.6\Release\simple.o
build\temp.win32-2.6\Release\simple.def -LC:\python26\libs
-LC:\python26\PCbuild -lpython26 -lmsvcr90 -o build\lib.win32-2.6\simple.pyd
msg91272 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-08-04 21:01
ok then, I am closing it 

thanks for the feedback !
msg91865 - (view) Author: Hagen Fürstenau (hagen) Date: 2009-08-22 17:16
Shouldn't r73896 be backported to the 3.1 branch? I still get "Unable to
find vcvarsall.bat" with Python 3.1.1.
msg94625 - (view) Author: Eric BREHAULT (ebrehault) Date: 2009-10-28 11:15
Hello,

I get the same error with Python 2.6.3 (and gcc 3.4.5):
E:\downloads\pycairo-1.8.8>python setup.py build --compiler=mingw32
cairo >= 1.8.8 detected
creating pycairo.pc
creating src/config.h
running build
running build_ext
building 'cairo._cairo' extension
error: Unable to find vcvarsall.bat

wasn't it supposed to be fixed (since 2.6.2) ?

Thanks,

Eric
msg94626 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-10-28 12:09
A regression occured in 2.6.3 on the compiler option. This is fixed in
2.6.4, you should upgrade your system in order to see it fixed.
msg94627 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2009-10-28 12:09
A regression occured in 2.6.3 on the compiler option. This is fixed in
2.6.4, you should upgrade your system in order to see it fixed.
msg96825 - (view) Author: Craig McQueen (cmcqueen1975) Date: 2009-12-23 01:16
This seems to be an bug in Python 3.1.1. Is it fixed in the Python 3
code? Is the issue being tracked in a separate issue?
msg96831 - (view) Author: Daniel (Daniel26) Date: 2009-12-23 08:54
Hello,

I confirm : Python3.1.1 
.../...
running build
running build_py
running build_ext
building 'cx_Freeze.util' extension
error: Unable to find vcvarsall.bat

I've got the r73896 file correction.
:(
D.
msg96833 - (view) Author: Eric Devolder (keldonin) Date: 2009-12-23 10:02
Will send you the trick (file) to make it work, but I can't do it from here
(at work - access restrictions) - please wait until Tonight :-)

Cheers

Eric

2009/12/23 Daniel <report@bugs.python.org>

>
> Daniel <daniel.mondon@free.fr> added the comment:
>
> Hello,
>
> I confirm : Python3.1.1
> .../...
> running build
> running build_py
> running build_ext
> building 'cx_Freeze.util' extension
> error: Unable to find vcvarsall.bat
>
> I've got the r73896 file correction.
> :(
> D.
>
> ----------
> nosy: +Daniel26
> versions:  -Python 2.6
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue2698>
> _______________________________________
>
msg96850 - (view) Author: Daniel (Daniel26) Date: 2009-12-24 09:51
Thank you :)

Daniel.
msg96874 - (view) Author: Craig McQueen (cmcqueen1975) Date: 2009-12-25 01:31
Eric (keldonin), please consider attaching the file (solution you
mentioned) to this issue for the benefit of the rest of us. I'm
interested to see it.
msg97198 - (view) Author: Daniel (Daniel26) Date: 2010-01-04 09:08
Thanks for your response!
I'm back after holidays :)

Yappy new year everybody!!!

Conserning our problem:
.../...
adding base module named weakref
running build
running build_py
running build_ext
Traceback (most recent call last):
  File "setup.py", line 240, in <module>
    license = "Python Software Foundation License")
  File "c:\python31\lib\distutils\core.py", line 149, in setup dist.run_commands()
  File "c:\python31\lib\distutils\dist.py", line 919, in run_commands self.run_command(cmd)
  File "c:\python31\lib\distutils\dist.py", line 938, in run_command cmd_obj.run()
  File "c:\python31\lib\distutils\command\build.py", line 128, in run self.run_command(cmd_name)
  File "c:\python31\lib\distutils\cmd.py", line 315, in run_command self.distribution.run_command(command)
  File "c:\python31\lib\distutils\dist.py", line 938, in run_command cmd_obj.run()
  File "c:\python31\lib\distutils\command\build_ext.py", line 358, in run force=self.force)
  File "c:\python31\lib\distutils\ccompiler.py", line 1106, in new_compiler return klass(None, dry_run, force)
  File "c:\python31\lib\distutils\cygwinccompiler.py", line 280, in __init__ CygwinCCompiler.__init__ (self, verbose, dry_run, force)
  File "c:\python31\lib\distutils\cygwinccompiler.py", line 124, in __init__ if self.ld_version >= "2.10.90": TypeError: unorderable types: NoneType() >= str()

I will also analyse and look at a solution.


Daniel.
msg97577 - (view) Author: Craig McQueen (cmcqueen1975) Date: 2010-01-11 06:30
Eric sent a build_ext.py to me and Daniel26 by e-mail. Attached. The idea was to copy it over the one in C:\Python31\Lib\distutils\command.

I tried the file that he sent, but I'm getting the same issue that Daniel26 described.
msg98025 - (view) Author: Daniel (Daniel26) Date: 2010-01-18 16:29
Sorry, I am on others problems and i don't have any time to look at a solution 
:(

Daniel.
msg100819 - (view) Author: Craig McQueen (cmcqueen1975) Date: 2010-03-11 00:14
This still seems to be a bug in Python 3.1.1, does it not? Can this be re-opened?
msg100841 - (view) Author: Eric Devolder (keldonin) Date: 2010-03-11 09:52
Yes, I believe it is.

that should be re-opened.

2010/3/11 Craig McQueen <report@bugs.python.org>

>
> Craig McQueen <python@craig.mcqueen.id.au> added the comment:
>
> This still seems to be a bug in Python 3.1.1, does it not? Can this be
> re-opened?
>
> ----------
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue2698>
> _______________________________________
>
msg100873 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-03-11 16:15
What traceback do you get exactly ? The same one than the first TB of this issue ?
msg100894 - (view) Author: Craig McQueen (cmcqueen1975) Date: 2010-03-11 23:52
Not so much of a traceback. But essentially the same final error:
running build
running build_py
running build_ext
building 'cobs._cobsext' extension
error: Unable to find vcvarsall.bat
msg101163 - (view) Author: Eric Devolder (keldonin) Date: 2010-03-16 12:27
Same problem on 3.1.2rc1.
msg101266 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2010-03-18 16:46
I'm seeing this on Python 2.6.4 on Windows XP with the latest MinGW/msys.
msg101267 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2010-03-18 16:47
Re-opening.
msg101268 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2010-03-18 17:16
My bad.  Adding --compiler=mingw32 eliminates this error.
msg101293 - (view) Author: Craig McQueen (cmcqueen1975) Date: 2010-03-18 23:46
This bug was confirmed to no longer be present for Python 2.6.4, however it is still present for Python 3.1.1. Could someone with "open" privileges re-open this please?
msg101300 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-03-19 02:43
Craig, 

did you run the command like this under 3.x ? :

$ python setup.py build --compiler=mingw32 --verbose

Also, what is your gcc version ? and your PATH environment ?
msg101301 - (view) Author: Craig McQueen (cmcqueen1975) Date: 2010-03-19 02:56
I ran it as follows:

    \python31\python.exe setup.py build --compiler=mingw32 --verbose

and got:

running build
running build_py
running build_ext
building 'cobs._cobsext' extension
error: Unable to find vcvarsall.bat

If I run:

    gcc --version

I get:

gcc (GCC) 3.4.5 (mingw-vista special r3)
Copyright (C) 2004 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Path:
PATH=C:\Program Files\CollabNet\Subversion Server;C:\WINNT\Microsoft.NET\Framewo
rk\v1.1.4322\;C:\WINNT\system32;C:\WINNT;C:\Program Files\Microsoft Visual Studi
o 8\VC\bin;C:\Program Files\Subversion\bin;C:\Program Files\IVI Foundation\IVI\b
in;C:\Program Files\IVI Foundation\VISA\WinNT\Bin\;C:\PROGRA~1\IVIFOU~1\VISA\Win
NT\Bin;C:\Program Files\IVI Foundation\VISA\WinNT\Bin;c:\python26\;C:\Program Fi
les\TortoiseSVN\bin;C:\Program Files\TortoiseHg;c:\MinGW\bin
msg101302 - (view) Author: Craig McQueen (cmcqueen1975) Date: 2010-03-19 03:02
And, I should add, doing nearly the same thing, except with Python 2.6.4, works fine. Same machine, same console window, same path:

    \python26\python.exe setup.py build --compiler=mingw32 --verbose

running build
running build_py
running build_ext
building 'cobs._cobsext' extension
c:\MinGW\bin\gcc.exe -mno-cygwin -mdll -O -Wall -IC:\Python26\include -IC:\Pytho
n26\PC -c src/_cobsext2.c -o build\temp.win32-2.6\Release\src\_cobsext2.o
writing build\temp.win32-2.6\Release\src\_cobsext.def
c:\MinGW\bin\gcc.exe -mno-cygwin -shared -s build\temp.win32-2.6\Release\src\_co
bsext2.o build\temp.win32-2.6\Release\src\_cobsext.def -LC:\Python26\libs -LC:\P
ython26\PCbuild -lpython26 -lmsvcr90 -o build\lib.win32-2.6\cobs\_cobsext.pyd
msg101305 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-03-19 04:32
Benjamin, can I fix this bug before you tag 3.1.2 ?

Basically, I'll apply on 3.1 what was applied on 2.6 :

MacZiade:release31-maint tarek$ svn di
Index: Lib/distutils/command/build_ext.py
===================================================================
--- Lib/distutils/command/build_ext.py  (révision 79090)
+++ Lib/distutils/command/build_ext.py  (copie de travail)
@@ -310,7 +310,7 @@
 
         # Setup the CCompiler object that we'll use to do all the
         # compiling and linking
-        self.compiler = new_compiler(compiler=None,
+        self.compiler = new_compiler(compiler=self.compiler,
                                      verbose=self.verbose,
                                      dry_run=self.dry_run,
                                      force=self.force)


Then, after you have tagged 3.1, I will revert distutils in py3 branch so it's back to 3.1 state then frozen, like what I am doing for 2.7.
msg101347 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-03-19 21:58
Done for 3.1.x in r79121.

I am now waiting for 3.1.2 to be taggued, then I'll revert the 3.x branch into a state the closest possible to 3.1.x.

Next, Distutils will be feature-frozen in 3.x like it is in 2.x, as things are now happening in distutils2. Only bugs fixes will happen.
msg101741 - (view) Author: Eric Devolder (keldonin) Date: 2010-03-26 07:15
This seems to be fixed now under 3.1.2, and works properly for me.

Great stuff, thank you.

Eric

P.S. Last time I mistakenly tagged the bug to be "Python 3.2" as well, correcting this now.
msg102998 - (view) Author: Craig McQueen (cmcqueen1975) Date: 2010-04-13 01:00
I tried it in Python 3.1.2.

    \Python31\python.exe setup.py build --compiler=mingw32

I got a stack-trace:

...
  File "C:\Python31\lib\distutils\cygwinccompiler.py", line 280, in __init__
    CygwinCCompiler.__init__ (self, verbose, dry_run, force)
  File "C:\Python31\lib\distutils\cygwinccompiler.py", line 124, in __init__
    if self.ld_version >= "2.10.90":
TypeError: unorderable types: NoneType() >= str()
msg102999 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-04-13 01:04
Craig, that's another bug, can you open another issue for that?

The missing vcvarsall.bat bug is cleared and I will close this issue once I've reverted distutils state in the 3.x branch
msg103001 - (view) Author: Craig McQueen (cmcqueen1975) Date: 2010-04-13 01:17
Sure can--done. Issue #8384.
msg103016 - (view) Author: Christopher Paolini (Christopher.Paolini) Date: 2010-04-13 06:43
There is an issue with Visual Studio 2008 and the latest 2.6.5
It searches using

productdir = Reg.get_value(r"%s\Setup\VC" % vsbase,
                                   "productdir")

I just fresh installed Visual Studios and there is no registry "setup" folder. So you can't find the install directory that way at least not on my machine. Windows 7 64-bit and I installed Microsoft Visual Studio 2008 SP1
msg115254 - (view) Author: Lehmann (dederocks) Date: 2010-08-31 08:02
I hope I'm sending this information in the right place.
Trying to install psutil 0.1.3, on Python 2.7 (with Win7 as OS), I get the same error that was mentionned in this thread:

c:\Users\Andre\Bureau\psutil-0.1.3>setup.py install
running install
running build
running build_py
creating build
creating build\lib.win32-2.7
creating build\lib.win32-2.7\psutil
copying psutil\error.py -> build\lib.win32-2.7\psutil
copying psutil\wmi.py -> build\lib.win32-2.7\psutil
copying psutil\_psbsd.py -> build\lib.win32-2.7\psutil
copying psutil\_pslinux.py -> build\lib.win32-2.7\psutil
copying psutil\_psmswindows.py -> build\lib.win32-2.7\psutil
copying psutil\_psosx.py -> build\lib.win32-2.7\psutil
copying psutil\__init__.py -> build\lib.win32-2.7\psutil
running build_ext
building '_psutil_mswindows' extension
error: Unable to find vcvarsall.bat
msg150452 - (view) Author: Piotr Dobrogost (piotr.dobrogost) Date: 2012-01-02 12:19
@Lehmann

You have to have either Visual Studio 2008 or Visual C++ Express 2008 installed. The folder where vcvarsall.bat file is being looked for is read from the registry. It's either HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\VisualStudio\9.0\Setup\VC (for Visual Studio) or HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\VCExpress\9.0\Setup\VC (for Visual C++ Express).
msg150476 - (view) Author: Bill Janssen (janssen) * (Python committer) Date: 2012-01-02 20:25
Actually, when using setup.py with MinGW, you just need to say the right thing:

  % python setup.py build --compiler=mingw32 install

That removes the check for vcvarsall.bat.

Bill

On Mon, Jan 2, 2012 at 6:19 AM, Piotr Dobrogost <report@bugs.python.org> wrote:
>
> Piotr Dobrogost <pd@python.dobrogost.net> added the comment:
>
> @Lehmann
>
> You have to have either Visual Studio 2008 or Visual C++ Express 2008 installed. The folder where vcvarsall.bat file is being looked for is read from the registry. It's either HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\VisualStudio\9.0\Setup\VC (for Visual Studio) or HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\Microsoft\VCExpress\9.0\Setup\VC (for Visual C++ Express).
>
> ----------
> nosy: +piotr.dobrogost
>
> _______________________________________
> Python tracker <report@bugs.python.org>
> <http://bugs.python.org/issue2698>
> _______________________________________
msg154606 - (view) Author: Thomas Atkinson (Thomas.Atkinson) Date: 2012-02-29 09:14
This bug is happening in python 3.2 when trying to build pycrypto on Microsoft Windows 7
msg201231 - (view) Author: Breinjhel Mata (breinjhel) Date: 2013-10-25 11:42
Hi this bug still exist in Python 3.3.2. seems like a bug in cygwincompiler.py but Im using MinGW. Why is it using cygwincompiler?
History
Date User Action Args
2013-10-25 11:42:37breinjhelsetnosy: + breinjhel
messages: + msg201231
2012-02-29 09:14:58Thomas.Atkinsonsetnosy: + Thomas.Atkinson

messages: + msg154606
versions: + Python 3.2, - Python 2.7
2012-01-02 20:25:37janssensetmessages: + msg150476
2012-01-02 12:19:52piotr.dobrogostsetnosy: + piotr.dobrogost
messages: + msg150452
2010-08-31 08:02:02dederockssetnosy: + dederocks

messages: + msg115254
versions: + Python 2.7, - Python 3.1
2010-04-13 06:43:14Christopher.Paolinisetnosy: + Christopher.Paolini
messages: + msg103016
2010-04-13 01:17:22cmcqueen1975setmessages: + msg103001
2010-04-13 01:04:30tareksetmessages: + msg102999
2010-04-13 01:00:56cmcqueen1975setmessages: + msg102998
2010-03-26 07:15:19keldoninsetmessages: + msg101741
versions: - Python 3.2
2010-03-19 21:58:21tareksetmessages: + msg101347
2010-03-19 04:32:01tareksetnosy: + benjamin.peterson
resolution: rejected -> accepted
messages: + msg101305
2010-03-19 03:02:26cmcqueen1975setmessages: + msg101302
2010-03-19 02:56:11cmcqueen1975setmessages: + msg101301
2010-03-19 02:43:40tareksetmessages: + msg101300
2010-03-19 01:14:53r.david.murraysetstatus: closed -> open
2010-03-18 23:46:02cmcqueen1975setmessages: + msg101293
2010-03-18 17:16:36janssensetstatus: open -> closed
resolution: rejected
messages: + msg101268
2010-03-18 16:47:24janssensetstatus: closed -> open
priority: high -> normal
messages: + msg101267

keywords: + 26backport
resolution: not a bug -> (no value)
2010-03-18 16:46:20janssensetnosy: + janssen
messages: + msg101266
2010-03-16 12:27:45keldoninsetmessages: + msg101163
versions: + Python 3.2
2010-03-11 23:52:31cmcqueen1975setmessages: + msg100894
2010-03-11 16:15:01tareksetpriority: high

messages: + msg100873
2010-03-11 09:52:24keldoninsetfiles: + unnamed

messages: + msg100841
2010-03-11 00:14:02cmcqueen1975setmessages: + msg100819
2010-01-18 16:29:11Daniel26setmessages: + msg98025
2010-01-11 06:31:15cmcqueen1975setfiles: + build_ext.py

messages: + msg97577
2010-01-04 09:08:41Daniel26setmessages: + msg97198
2009-12-25 01:31:45cmcqueen1975setmessages: + msg96874
2009-12-24 09:51:54Daniel26setmessages: + msg96850
2009-12-23 10:02:10keldoninsetfiles: + unnamed

messages: + msg96833
2009-12-23 08:54:18Daniel26setnosy: + Daniel26

messages: + msg96831
versions: - Python 2.6
2009-12-23 01:16:13cmcqueen1975setmessages: + msg96825
2009-12-16 02:14:26cmcqueen1975setnosy: + cmcqueen1975
2009-10-28 12:09:51tareksetmessages: + msg94627
2009-10-28 12:09:48tareksetmessages: + msg94626
2009-10-28 11:15:32ebrehaultsetnosy: + ebrehault
messages: + msg94625
2009-08-22 17:16:54hagensetmessages: + msg91865
2009-08-04 21:01:28tareksetstatus: open -> closed
resolution: not a bug
messages: + msg91272
2009-08-04 20:57:27kermodesetmessages: + msg91271
2009-08-02 16:12:40tareksetmessages: + msg91187
2009-07-27 19:56:34hagensetmessages: + msg90995
2009-07-26 17:21:33hagensetnosy: + hagen
2009-07-22 12:07:58keldoninsetmessages: + msg90812
2009-07-22 11:39:33keldoninsetnosy: + keldonin
2009-07-04 21:07:14jwpsetnosy: + jwp

messages: + msg90125
versions: + Python 3.1
2009-02-28 17:42:13akitadasetnosy: + tarek
type: compile error
components: + Windows
assignee: tarek
2008-04-26 17:20:23kermodecreate